import pickle
import pkg_resources

package_name = "anti_spam_riphub"
package_path = pkg_resources.resource_filename(package_name, "")

model = pickle.load(open(package_path + "/model.pkl", "rb"))
vectorizer = pickle.load(open(package_path + "/vectorizer.pkl", "rb"))

def check_spam(text):
	"""Checks if the given text is spam or not

	:param text: The text you want to check for spam
	:type text: str
	:rtype: bool
	:return True for texts that are spam, otherwise False
	"""

	text_features = vectorizer.transform([text])

	spam_proba = model.predict_proba(text_features)[0][1]

	if spam_proba > 0.5:
		return True
	else:
		return False

